Index: trunk/info/info/alkisn/alkisnamstruk.php
===================================================================
--- trunk/info/info/alkisn/alkisnamstruk.php	(revision 422)
+++ trunk/info/info/alkisn/alkisnamstruk.php	(revision 425)
@@ -6,9 +6,10 @@
 
 	Version:
-	2016-02-24 Version fuer norGIS-ALKIS-Import
+	2016-02-24 Version fÃŒr norGIS-ALKIS-Import
 	...
 	2020-02-20 Authentifizierung ausgelagert in Function darf_ich()
 	2020-12-03 function selbstverlinkung() statt $_SERVER['PHP_SELF']
 	2020-12-15 Input-Validation und Strict Comparisation (===)
+	2021-12-09 Neue Parameter: $katAmtMix (Kataster-Amt-Mix), $PrntBtn (Drucken-SchaltflÃ€che). Gruppenwechsel Bezirk.
 */
 ini_set("session.cookie_httponly", 1);
@@ -53,8 +54,9 @@
 <?php
 $erlaubnis = darf_ich(); if ($erlaubnis === 0) { die('<p class="stop1">Abbruch</p></body>'); }
+$dbg=$debug; // CONF in Arbeits-Variable
 
 // Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
-// Manuell an die URL anfÃŒgen, wirkt nur temporÃ€r und wird nicht in Links weiter gereicht.
-if ($nodebug === "j") {$debug=0;} 
+// Wirkt temporÃ€r und wird nicht in Links weiter gereicht.
+if ($nodebug === "j") {$dbg=0;} 
 
 echo "<p class='balken nakennz'>ALKIS Name id=".$gmlid."&nbsp;</p>\n" // Balken
@@ -73,5 +75,12 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Zugriff auf Namensnummer</p>";
-	if ($debug > 2) {echo "\n<p class='dbg'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
+	if ($dbg > 2) {echo "\n<p class='dbg'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
+}
+if ($dbg > 0) {
+	$zeianz=pg_num_rows($res);
+	if ($zeianz > 1){
+		echo "\n<p class='err'>Die Abfrage liefert mehr als eine Person!</p>";
+		if ($dbg > 2) {echo "\n<p class='dbg'>SQL=<br>".htmlentities(str_replace("$1","'".$gmlid."'",$sql), ENT_QUOTES, "UTF-8")."</p>";}
+	}
 }
 if ($row = pg_fetch_assoc($res)) {
@@ -111,5 +120,5 @@
 	if (!$resa) {
 		echo "\n<p class='err'>Fehler bei Adressen</p>";
-		if ($debug > 2) {echo "\n<p class='err'>SQL=<br>". str_replace("$1", "'".$gmlid."'", $sqla)."</p>";}
+		if ($dbg > 2) {echo "\n<p class='err'>SQL=<br>". str_replace("$1", "'".$gmlid."'", $sqla)."</p>";}
 	}
 
@@ -130,5 +139,5 @@
 			echo "<table>\n";
 				if ($multiadress === "j" OR $showkey) {
-					if ($debug > 0) { // nur Entw.: Sortierung gml_id vs. beginnt?
+					if ($dbg > 0) { // nur Entw.: Sortierung gml_id vs. beginnt?
 						echo "\t<tr><td class='dbg'>gml_id:</td><td class='dbg'>".$rowa["gml_id"]."</td></tr>\n";
  					}
@@ -176,5 +185,5 @@
 	."FROM ax_person p JOIN ax_namensnummer n ON p.gml_id=n.benennt "
 	."JOIN ax_buchungsblatt g ON g.gml_id=n.istbestandteilvon "
-	."LEFT JOIN ax_buchungsblattbezirk b ON g.land=b.land AND g.bezirk=b.bezirk "
+	."LEFT JOIN ax_buchungsblattbezirk b ON g.land=b.land AND g.bezirk=b.bezirk ".UnqKatAmt("g","b")
 	."LEFT JOIN ax_blattart_buchungsblatt wb ON g.blattart = wb.wert "
 	."WHERE p.gml_id= $1 AND p.endet IS NULL AND n.endet IS NULL AND b.endet IS NULL "
@@ -187,5 +196,5 @@
 	if (!$resg) {
 		echo "\n<p class='err'>Fehler bei Grundbuch</p>";
-		if ($debug > 2) {
+		if ($dbg > 2) {
 			echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sqlg ), ENT_QUOTES, "UTF-8")."</p>";
 		}
@@ -203,4 +212,5 @@
 	$i=0;
 	$zpaar=false;
+	$gwbeznam='';
 	while($rowg = pg_fetch_assoc($resg)) {
 		$gmln=$rowg["gml_n"];
@@ -211,10 +221,16 @@
 		$blattart=$rowg["blattartv"]; // Value
 		if ($zpaar) {$trclass='paa';} else {$trclass='unp';}
+		$beznam=$rowg["beznam"];
 		$zpaar=!$zpaar;
 		echo "\n<tr class='".$trclass."'>"
 			."\n\t<td>"; // GB-Bezirk <td class='gbl'>
 				if ($showkey) {echo "<span class='key'>".$rowg["bezirk"]."</span> ";}
-				echo $rowg["beznam"]
-			."</td>";
+				if ($gwbeznam != $beznam){
+					echo "<b>".$beznam."</b>";
+					$gwbeznam=$beznam;
+				} else {
+					echo $beznam;
+				}
+			echo "</td>";
 
 			echo "\n\t<td>"; // Blattart
@@ -259,16 +275,16 @@
 	if ($i === 0) {echo "\n<p class='err'>Kein Grundbuch.</p>";}
 } else {
-	echo "\n\t<p class='err'>Fehler! Kein Treffer f&uuml;r\n\t<a target='_blank' href='alkisrelationen.php?gkz=".$gkz."&amp;gmlid=".$gmlid."'>".$gmlid."</a>\n</p>\n\n";
-}
+	echo "\n\t<p class='err'>Fehler! Kein Treffer f&uuml;r Person".$gmlid."</p>\n";
+}
+pg_free_result($res);
+
+echo "\n<div class='buttonbereich noprint'>\n<hr>"
+	."\n\t<a title='zur&uuml;ck' href='javascript:history.back()'><img src='ico/zurueck.png' width='16' height='16' alt='zur&uuml;ck'></a>&nbsp;";
+if ($PrntBtn==true){echo "\n\t<a title='Drucken' href='javascript:window.print()'><img src='ico/print.png' width='16' height='16' alt='Drucken'></a>&nbsp;";}
+echo "\n\t<a title='Export als CSV' href='javascript:ALKISexport()'><img src='ico/download.png' width='16' height='16' alt='Export'></a>&nbsp;"
+."\n</div>";
+
+footer($gmlid, selbstverlinkung()."?", "");
 ?>
-
-<div class='buttonbereich noprint'>
-<hr>
-	<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
-	<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
-	<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download.png" width="16" height="16" alt="Export"></a>&nbsp;
-</div>
-
-<?php footer($gmlid, selbstverlinkung()."?", ""); ?>
 
 </body>
